Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Deployments

Get a deployment

GET /deployments/{name}

Retrieves a deployed model.

Query parameters

api-version string required

The API version to use for this operation.

Path parameters

name string required

Name of the deployment

Header parameters

x-ms-client-request-id string

An opaque, globally-unique, client-generated string identifier for the request.

Responses

The request has succeeded.

Headers

x-ms-client-request-id string

An opaque, globally-unique, client-generated string identifier for the request.

Body

Content-Type: application/json
One of the following:
ModelDeployment ModelDeployment

Model Deployment Definition

type enum required

The type of the deployment

ModelDeployment
modelName string required

Publisher-specific name of the deployed model

modelVersion string required

Publisher-specific version of the deployed model

modelPublisher string required

Name of the deployed model's publisher

capabilities object required

Capabilities of deployed model

[key: string] string
sku Sku required

Sku information

capacity integer required

Sku capacity

family string required

Sku family

name string required

Sku name

size string required

Sku size

tier string required

Sku tier

connectionName string

Name of the connection the deployment comes from

Client error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error Azure.Core.Foundations.Error required

The error object.

code string required

One of a server-defined set of error codes.

message string required

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error Azure.Core.Foundations.Error required

The error object.

code string required

One of a server-defined set of error codes.

message string required

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Request

GET /deployments/{name} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026